Mantis Bugtracker          
testlink.org

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0003992TestLinkAPI - XMLRPCpublic2010-11-09 08:142010-11-14 12:07
Reporterpablobitton 
Assigned Tofman 
PriorityhighSeveritymajorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version1.9 RC 1 
Fixed in Version1.9 (Prague) 
Summary0003992: getTestCasesForTestPlan ignores keywords
Descriptionit seems this functionality was added in this version,
BUT although the function gets the keywords it does use them to filter testcases.
Steps To Reproduceuse getTestCasesForTestPlan with keywords
TagsNo tags attached.
Database (MySQL,Postgres,etc)mysql
Browser
PHP Version
TestCaseID
QA Team - Task Workflow Status
Attached Files

- Relationships
related to 0003991closedfman getTestCasesForTestPlan() fails 

-  Notes
(0012359)
fman (administrator)
2010-11-10 09:11

This description:
>> it seems this functionality was added in this version,
>> BUT although the function gets the keywords it does use them to filter testcases.

gives no help to reproduce issue.
Please follow standard procedure to report issues (see pointers:
http://www.chiark.greenend.org.uk/~sgtatham/bugs.html, [^]
http://carfield.com.hk/document/software+engineering/testing/How+to+manage+Bug.pdf [^])
Give detailed steps to reproduce i.e.
step - expected result - actual result
(0012375)
pablobitton (reporter)
2010-11-10 12:07

in xmlrpc.class.php in getTestCasesForTestPlan:

1. function gets keywords by name
2. in line 2277 there is a variable called $keywordSet
3. this variable is not used anywhere later in filers for example....
instead used an original parameter of keyword ids and not names
(0012463)
fman (administrator)
2010-11-14 12:07

1.9 (Prague) Released

- Issue History
Date Modified Username Field Change
2010-11-09 08:14 pablobitton New Issue
2010-11-10 09:11 fman Note Added: 0012359
2010-11-10 09:15 fman Relationship added related to 0003991
2010-11-10 12:07 pablobitton Note Added: 0012375
2010-11-10 15:10 fman Summary getTestCasesForTestCase ignores keywords => getTestCasesForTestPlan ignores keywords
2010-11-10 15:10 fman Assigned To => fman
2010-11-10 15:10 fman Status new => assigned
2010-11-10 18:20 fman Status assigned => resolved
2010-11-10 18:20 fman Fixed in Version => 1.9 (Prague)
2010-11-10 18:20 fman Resolution open => fixed
2010-11-14 12:07 fman Note Added: 0012463
2010-11-14 12:07 fman Status resolved => closed
2013-04-25 17:30 fman Category TL API => XMLRPC API
2013-04-25 17:30 fman Category XMLRPC API => API - XMLRPC



Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker